/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.syswarning.entity;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 系统预警Entity
 * @author chenyuping
 * @version 2018-08-14
 */
public class SysWarning extends DataEntity<SysWarning> {
	
	private static final long serialVersionUID = 1L;
	private String warningType;		// 预警类型
	private String name;		// 预警名称
	private String frequency;		// 预警频率
	private Date warningDate;		// 时间
	private String reminding;		//  提醒方式 
	private String scope;		// 预警范围(分公司id)
	private String state;		// 状态
	private String comment;		// 提示内容
	private String rules;		// 预警规则
	private String officeId;		// 所属部门
	private String scopeName;
	private String companyId;		// 所属公司
	private String modularId;//业务模块id

	public String getModularId() {
		return modularId;
	}

	public void setModularId(String modularId) {
		this.modularId = modularId;
	}

	public String getSqlString() {
		return sqlString;
	}

	public void setSqlString(String sqlString) {
		this.sqlString = sqlString;
	}

	private String sqlString;
	public String getScopeName() {
		return scopeName;
	}

	public void setScopeName(String scopeName) {
		this.scopeName = scopeName;
	}

	private String branchOffice;		// 所属分公司
	private Date endDate;		// 时间
	private Date beginDate;		// 时间
	private List<SysWarningRole> SysWarningRoleList;
	private List<SysWarningUser> SysWarningUserList;

	public List<SysWarningRole> getSysWarningRoleList() {
		return SysWarningRoleList;
	}

	public void setSysWarningRoleList(List<SysWarningRole> sysWarningRoleList) {
		SysWarningRoleList = sysWarningRoleList;
	}

	public List<SysWarningUser> getSysWarningUserList() {
		return SysWarningUserList;
	}

	public void setSysWarningUserList(List<SysWarningUser> sysWarningUserList) {
		SysWarningUserList = sysWarningUserList;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}


	public SysWarning() {
		super();
	}

	public SysWarning(String id){
		super(id);
	}

	@ExcelField(title="预警类型", align=2, sort=7)
	public String getWarningType() {
		return warningType;
	}

	public void setWarningType(String warningType) {
		this.warningType = warningType;
	}
	
	@ExcelField(title="预警名称", align=2, sort=8)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="预警频率", align=2, sort=9)
	public String getFrequency() {
		return frequency;
	}

	public void setFrequency(String frequency) {
		this.frequency = frequency;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="时间", align=2, sort=10)
	public Date getWarningDate() {
		return warningDate;
	}

	public void setWarningDate(Date warningDate) {
		this.warningDate = warningDate;
	}
	
	@ExcelField(title=" 提醒方式 ", align=2, sort=11)
	public String getReminding() {
		return reminding;
	}

	public void setReminding(String reminding) {
		this.reminding = reminding;
	}
	
	@ExcelField(title="预警范围", align=2, sort=12)
	public String getScope() {
		return scope;
	}

	public void setScope(String scope) {
		this.scope = scope;
	}
	
	@ExcelField(title="状态", align=2, sort=13)
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
	
	@ExcelField(title="提示内容", align=2, sort=14)
	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}
	
	@ExcelField(title="预警规则", align=2, sort=15)
	public String getRules() {
		return rules;
	}

	public void setRules(String rules) {
		this.rules = rules;
	}
	
	@ExcelField(title="所属部门", align=2, sort=16)
	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	
	@ExcelField(title="所属公司", align=2, sort=17)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="所属分公司", align=2, sort=18)
	public String getBranchOffice() {
		return branchOffice;
	}

	public void setBranchOffice(String branchOffice) {
		this.branchOffice = branchOffice;
	}
	
}